com.io7m.jpra.compiler.core.parser

## Class JPRAReferenceParser

- java.lang.Object
- - com.io7m.jpra.compiler.core.parser.JPRAReferenceParser

- All Implemented Interfaces:
    JPRAReferenceParserType

      public final class JPRAReferenceParser
      extends Object
      implements JPRAReferenceParserType

  The default implementation of the `JPRAReferenceParserType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRAReferenceParserType` | `newParser(com.io7m.jsx.api.serializer.JSXSerializerType in_serial)`
    `FieldReference` | `parseFieldReference(com.io7m.jsx.SExpressionSymbolType se)` Parse a field reference.
    `TypeReference` | `parseTypeReference(com.io7m.jsx.SExpressionSymbolType se)` Parse a type reference.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newParser

          public static JPRAReferenceParserType newParser(com.io7m.jsx.api.serializer.JSXSerializerType in_serial)

      Parameters:
        `in_serial` - A serializer for error messages
      Returns:
        A new parser

    - #### parseTypeReference

          public TypeReference parseTypeReference(com.io7m.jsx.SExpressionSymbolType se)
                                           throws JPRACompilerParseException

      Description copied from interface: `JPRAReferenceParserType`
      Parse a type reference.
      Specified by:
        `parseTypeReference` in interface `JPRAReferenceParserType`
      Parameters:
        `se` - The input symbol
      Returns:
        A type reference
      Throws:
        `JPRACompilerParseException` - On parse errors

    - #### parseFieldReference

          public FieldReference parseFieldReference(com.io7m.jsx.SExpressionSymbolType se)
                                             throws JPRACompilerParseException

      Description copied from interface: `JPRAReferenceParserType`
      Parse a field reference.
      Specified by:
        `parseFieldReference` in interface `JPRAReferenceParserType`
      Parameters:
        `se` - The input symbol
      Returns:
        A field reference
      Throws:
        `JPRACompilerParseException` - On parse errors

Copyright © 2016 <code@io7m.com> http://io7m.com